Fulfillment & ShippingFulfillment
Create fulfillment shipment
Creates a carrier shipment from explicit item, package and connection selections, then stores the provider response.
POST
/v1/fulfillment/orders/{id}/shipmentCreates a carrier shipment from explicit item, package and connection selections, then stores the provider response.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/fulfillment/orders/7204558912004325301/shipment" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "itemSelection": "all", "packageSelection": "automatic", "connectionSelection": "orderDefault", "shippingConnectionId": "7204558912004325301", "serviceCode": "example_code", "packageId": "7204558912004325301", "weight": 1, "weightUnit": "kilogram" }'{ "id": "7204558912004325301", "fulfillmentOrderId": "7204558912004325301", "orderId": "7204558912004325301", "originKind": "manual", "shippingConnectionId": "7204558912004325301", "orderNumber": "ORD-2026-0001", "shipmentId": "7204558912004325301", "trackingNumber": "example", "trackingLink": "example", "labelUrl": "https://example.com/resource", "carrierName": "Example resource"}